%define _name guile
%define cvs_date 20021021

# whether build this guile for Snd (sound editor) only.
%def_with snd

%if_with snd
# if guile found in this directory Snd will be automatically configured for
# use it in compile time.
%define package_name_prefix snd-
%define _guile_root /usr/lib/snd
%define _prefix    	%_guile_root
%define _exec_prefix    %_guile_root
%define _bindir         %_guile_root/bin
%define _libexecdir     %_guile_root/lib
%define _datadir        %_guile_root/share
%define _libdir         %_guile_root/%_lib
%define _includedir     %_guile_root/include
%define _infodir        %_guile_root/share/info
%define _mandir         %_guile_root/share/man
%endif

Name: %package_name_prefix%_name
Version: 1.7.0
Release: alt0.7cvs%cvs_date

Summary: A GNU implementation of Scheme for application extensibility
Group: Development/Other
License: GPL
Source: %_name-%cvs_date.tar.bz2

# autoconf-2.53 wanted by guile. We try our current
# autoconf-2.54
Patch: %_name-1.7.0-alt-autogen.patch

Requires: umb-scheme >= 3.2-alt1

BuildConflicts: %_name < %version

# Automatically added by buildreq on Tue Oct 22 2002
BuildRequires: flex glibc-devel-static libncurses-devel libreadline-devel

%description
%if_with snd
This guile package is used only by the snd sound editor and lives in
%_guile_root. It was created to decouple the snd rpms from old
implementations of guile that are usually part of most linux
distributions.
%endif

GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.  You'll also need to install the guile-devel
package.

%package devel
Summary: The libraries and header files for the GUILE extensibility library
Group: Development/C
Requires: %name = %version-%release

%description devel
The guile-devel package includes the libraries, header files, etc., that
you'll need to develop applications that are linked with the GUILE
extensibility library.

%if_with snd
See also description of snd-guile package.
%endif

You need to install the guile-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to install
the guile package.

%package devel-static
Summary: Static libraries for the GUILE extensibility library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The guile-devel package includes the libraries, header files, etc., that
you'll need to develop applications that are linked with the GUILE
extensibility library.

You need to install the guile-devel-static package if you want to develop
applications that will be statically linked to GUILE.  You'll also need to install
the guile-devel and guile packages.

%if_with snd
See also description of snd-guile package.
%endif

%define __autoconf autoconf_2.5
%define __aclocal aclocal-1.6
%define __automake automake-1.6

%prep
%setup -q -n %_name-%cvs_date
%patch -p1

pushd %_name-core
touch doc/ref/version.texi doc/tutorial/version.texi
find ./ -name CVS -print |xargs rm -rf

%__subst 's,^aclocal,%__aclocal,g' guile-aclocal.sh

pushd %_name-readline
%__subst 's,^aclocal,%__aclocal,g' autogen.sh
%__subst 's,^autoconf,%__autoconf,g' autogen.sh
%__subst 's,^automake,%__automake,g' autogen.sh
popd

%build
pushd %_name-core
./autogen.sh

pushd qt
./config iX86
popd

%configure --enable-dynamic-linking
%make_build

%install
%__mkdir_p guile-docs

pushd %_name-core
%makeinstall
%__cp ANON-CVS AUTHORS BUGS GUILE-VERSION HACKING \
INSTALL NEWS README SNAPSHOTS THANKS ../guile-docs/
popd

%__mkdir_p %buildroot%_datadir/%_name/site
%__ln_s /usr/share/umb-scheme/slib %buildroot%_datadir/%_name/slib

%post
%install_info guile.info goops.info r5rs.info guile-tut.info
%if_without snd
%post_ldconfig
%endif

%_bindir/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)" ||:

%postun
%uninstall_info guile.info goops.info r5rs.info guile-tut.info
%if_without snd
%postun_ldconfig
%endif

%files
%_bindir/guile
%_libdir/lib*.so.*
%_datadir/guile/%version
%_datadir/aclocal/*
%_datadir/guile/slib
%_infodir/*.info*
%doc guile-docs/*

%files devel
%_bindir/guile-*
%_libdir/lib*.la
%_libdir/lib*.so
%_includedir/*

%files devel-static
%_libdir/lib*.a

%changelog
* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.7.0-alt0.7cvs20021021
- Build from cvs.

* Sun Jan 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.7.0-alt0.8
- First build for Sisyphus. Patches for autoconf from PLD Team package.
  Guile build process writen looking on guile-1.7.0-alt0.2 by Alexey Voinov
  <voins@voins.program.ru>.
